Bug 239963 - Review Request: perl-IO-AIO - Asynchronous Input/Output
Summary: Review Request: perl-IO-AIO - Asynchronous Input/Output
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-13 13:41 UTC by Ruben Kerkhof
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 11:17:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ruben Kerkhof 2007-05-13 13:41:30 UTC
Spec URL:  http://rubenkerkhof.com/packages/perl-IO-AIO.spec
SRPM URL: http://rubenkerkhof.com/packages/perl-IO-AIO-2.33-1.src.rpm
Description:
This module implements asynchronous I/O using whatever means your operating
system supports.

Comment 1 Jason Tibbitts 2007-05-15 04:44:26 UTC
For some reason the server at rubenkerkhof.com sends spec files with
Content-Type: text/html, which makes it a bit more difficult than usual to
inspect them.

The package itself is fine.

* source files match upstream:
   aa513866389ca768822ec2866500ccc2c85a7ce4f49a816be90e40d28f604259  
   IO-AIO-2.33.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream (COPYING file just says "same as Perl").
* latest version is being packaged.
* BuildRequires are proper:
  As far as I know, the Test module is still in the base perl package.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   AIO.so()(64bit)
   perl(IO::AIO) = 2.33
   perl-IO-AIO = 2.33-1.fc7
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(base)
   perl(strict)

* %check is present and all tests pass:
   All tests successful.
   Files=8, Tests=63,  0 wallclock secs ( 0.17 cusr +  0.10 csys =  0.27 CPU)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.

APPROVED

Comment 2 Ruben Kerkhof 2007-05-15 17:39:47 UTC
Thanks for the review Jason,

>> For some reason the server at rubenkerkhof.com sends spec files with
>> Content-Type: text/html, which makes it a bit more difficult than usual to
>> inspect them.

Fixed, AddType text/plain .spec :-)


Comment 3 Ruben Kerkhof 2007-05-15 17:42:17 UTC
New Package CVS Request
=======================
Package Name: perl-IO-AIO
Short Description:  Asynchronous Input/Output
Owners: ruben@rubenkerkhof.com
Branches: FC-5 FC-6


Comment 4 Ruben Kerkhof 2007-08-09 21:24:21 UTC
Package Change Request
======================
Package Name: perl-IO-AIO
New Branches: EL-4 EL-5

Comment 5 Kevin Fenzi 2007-08-09 22:52:28 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.